<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta name="copyright"
	content="Copyright (c) Motorola and others 2008. This page is made available under license. For full details see the LEGAL in the documentation book that contains this page.">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="../../style/book.css" />
<title>Insert title here</title>
</head>
<body>

<h1>Adding Javadoc or Source links to WTK libraries</h2>
<p>
You can add Javadoc or source links
to libraries of a Wireless Toolkit (WTK).  This allows you to do source-level
debugging (assuming the WTK has been compiled with debug information) and to use
Eclipse's context-sensitive API help features.
</p>
<h2 id="javadoc">Attaching Source Or Javadoc to a WTK</h2>
<p>
In order to attach Javadoc to a WTK component, perform the following steps:
</p>
<ol>
<li>
Open the Device Management window by selecting <strong>Preferences</strong>
from the <strong>Window</strong> menu, expanding the
<strong>Mobile Tools for Java</strong> item in the left column, and click on the
<strong>Device Management</strong> item.
</li>
<li>Choose the device that you want to add the source and/or Javadoc
attachment to and select the <strong>Edit...</strong> button.
</li>
<li>Select the Javadoc or Source cell to go into edit mode.

</li>
<img src="images/attach.png" alt="screenshot"/>
<li>Press the cell editor button to launch the appropriate editor dialog.
	<ul>
		<li>For source attachments, use the provided source attachment dialog.
		<br>
                <img src="images/attachSource.png" alt="screenshot"/>
                <br>

                </li

		<li>For Javadoc attachments, use the provided Javadoc attachment dialog.
		<br>
                <img src="images/attachJavadoc.png" alt="screenshot"/>
                <br>
                </li>

	</ul>
</li>
</ol>
<p>
Note that not all Wireless Toolkits are distributed with the classes
in the JAR file compiled with debug information.  Thus, even though you
may have attached the source to the JAR file, you may still not be able
to step into the WTK source.
</p>
</body>
</html>
